spdMerlin (almost SOLVED) spdmerlin v4.4.3-4 install the wrong BUILD of ookla's speedtest v1.1.1 on RT-AC3200, RT-AC88U

itibi

Regular Contributor
Hi!

Newest spdmerlin version v4.4.3/4.4.4 install the wrong build of ookla's speedtest 1.1.1.28
on Asus RT-AC3200, asuswrt-merlin 384.13_10

The included build gave 'illegal instruction' error when running !

spdmerlin should have install the OOKLA's armel build instead of armhf build on RT-AC3200/armv7l
# uname -m
armv7l
(GitHub's spdmerlin site contains only the arm(armhf) and aarch64 builds. The arm(armel) is missing)

1641570065372.png


Here is my workaround: (for RT-AC3200/armv7l) or RT-AC88U

Note: Your next 'spdmerlin update' will revert this workaround patch

[ -z "$(nvram get odmpid)" ] && ROUTER_MODEL=$(nvram get productid) || ROUTER_MODEL=$(nvram get odmpid)
echo $ROUTER_MODEL
uname -m
cd /tmp
for ARCH in armel armhf aarch64 i386 x86_64
do
echo Testing $ARCH
wget -q https://install.speedtest.net/app/cli/ookla-speedtest-1.1.1-linux-$ARCH.tgz
tar -xzf ookla-speedtest-1.1.1-linux-$ARCH.tgz
if /tmp/speedtest; then
echo
echo Your modem is using $ARCH version of speedtest-cli
echo Patch is applied now. Will be active UNTIL NEXT spdmerlin update
cp -v /tmp/speedtest /jffs/addons/spdmerlin.d/ookla
exit
fi
done
echo sorry, NO compatible speedtest-cli for your architecture


Have a nice and safe 2022 year
 
Last edited:

vibroverbus

Regular Contributor
FYI - this remains broken - thanks for figuring it out!
 

vibroverbus

Regular Contributor
Never mind - I read too fast - I see it looks fixed in 4.4.5 development - sorry
 
Last edited:

Latest threads

Sign Up For SNBForums Daily Digest

Get an update of what's new every day delivered to your mailbox. Sign up here!
Top